<?php
	session_start();
	
	require_once("db/db.php");	
	require_once("common/common.php");
	
	//设置统一语言格式
	header("Content-type: text/html; charset=gb2312"); 
	
	//微信支付成功后，调用此页面完成账单结账和付款入账
	$orderno = trim($_REQUEST['selbillno']);
	$intBillState = trim($_REQUEST['bstat']);
	
	if($intBillState=='')
	{
		$intBillState='0';
	}
	
	$strDListNo=0;
	$strTableNo='';
	$sql = sprintf("SELECT DListNo,TableNo FROM WX_Bill_Inform WHERE Bill_No='%s'",$orderno);
	
	$result = querySql($sql);
	if($row = fetch_array($result))
	{
		$strDListNo = $row['DListNo'];
		$strTableNo = trim($row['TableNo']);
	}
	freeResult($result);	//释放数据库
	
		
	$intWXCanPayFor=0;
	$sql = sprintf("SELECT wxCanPayFor FROM TCP_Depart_Inform Where ListNo=%s",$strDListNo);
	$result = querySql($sql);
	if($row = fetch_array($result))
	{
		$intWXCanPayFor = $row['wxCanPayFor'];
	}
	freeResult($result);	//释放数据库
	
	//得到当前台号的订单
	$strSelTCPBillNo='';
	$sql = sprintf("SELECT Bill_No FROM TCP_Bill_Inform Where TableNo='%s' And BillState=1",$strTableNo);
	$result = querySql($sql);
	if($row = fetch_array($result))
	{
		$strSelTCPBillNo = trim($row['Bill_No']);
	}
	freeResult($result);	//释放数据库
						
	
	//1启用微信支付,0未支付下单，手动接单，2未支付下单，自动接单（仅允许空闲台号），3未支付下单，自动接单（空闲台号或并入在用台号）	
	if($intWXCanPayFor==2)
	{
		//2未支付下单，自动接单（仅允许空闲台号）
		if(strlen($strSelTCPBillNo)<10)
		{
			//可以接单
			$sql = sprintf("EXECUTE WXG_WeiXinBillToTCP '%s','web',1,'%s'", $orderno,$strSelTCPBillNo);
			executeSql($sql);
		}
	}
	elseif($intWXCanPayFor==3)
	{
		//3未支付下单，自动接单（空闲台号或并入在用台号）
		//可以接单
		$sql = sprintf("EXECUTE WXG_WeiXinBillToTCP '%s','web',1,'%s'", $orderno,$strSelTCPBillNo);
		executeSql($sql);
	}

	$strgourl = 'Location: orderlist.php?bstat='.$intBillState;
	
	
	closeDb();
	header($strgourl);	
?>



